org.eclipse.viatra.query.runtime.matchers.psystem.queries

## Enum PQuery.PQueryStatus

- java.lang.Object
- - java.lang.Enum<PQuery.PQueryStatus>
  - - org.eclipse.viatra.query.runtime.matchers.psystem.queries.PQuery.PQueryStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PQuery.PQueryStatus>
  Enclosing interface:
    PQuery

      public static enum PQuery.PQueryStatus
      extends java.lang.Enum<PQuery.PQueryStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` The query definition was not successfully initialized because of an error
    `INITIALIZING` Marks that the query definition is being initialized
    `OK` The query definition was successfully initialized
    `UNINITIALIZED` Marks that the query definition is not initialized
    `WARNING` The query definition was initialized, but some issues were present

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PQuery.PQueryStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PQuery.PQueryStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNINITIALIZED

          public static final PQuery.PQueryStatus UNINITIALIZED

      Marks that the query definition is not initialized

    - #### INITIALIZING

          public static final PQuery.PQueryStatus INITIALIZING

      Marks that the query definition is being initialized
      Since:
        1.4

    - #### OK

          public static final PQuery.PQueryStatus OK

      The query definition was successfully initialized

    - #### WARNING

          public static final PQuery.PQueryStatus WARNING

      The query definition was initialized, but some issues were present

    - #### ERROR

          public static final PQuery.PQueryStatus ERROR

      The query definition was not successfully initialized because of an error

  - ### Method Detail

    - #### values

          public static PQuery.PQueryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PQuery.PQueryStatus c : PQuery.PQueryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PQuery.PQueryStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null